{% extends "base.html" %}

{% block content %}

{% include "header.html" %}

<div class="uk-grid" >
<div class="w3-col m3 l2" >
<h1>controls</h1>
<div>


 <button type="button" onclick="reload('/api/start/');">start</button> 
 <button type="button" onclick="reload('/api/stop/');">stop</button> 
 <button type="button" onclick="reload('/api/test/?a=1&b=2');">test</button> 

</div>


<script>

function reload(url){
    console.log(url);
    var iframe = document.getElementById('iframe_id');
    iframe.src = url;
}
</script>



</div>
<div class="w3-col m6 l8" >
<h1>arch</h1>
<ul class="uk-nav-default uk-nav-parent-icon" uk-nav>
{%for machine in node.root.get_firsts(cls="Linux_Machine") %}
    <li  class="uk-parent"><a href="/nodes/{{ machine.path() }}">/{{ machine.path() }}</a>

    <ul  class="uk-nav-sub">
    {%for elt in node.root.get_firsts(cls="Linux_Service") %}
        <li><a href="/nodes/{{ elt.path() }}">{{ elt.name }}</a></li>
    {%endfor%}

    {%for elt in node.root.get_firsts(cls="Linux_Program") %}
        <li><a href="/nodes/{{ elt.path() }}">{{ elt.name }}</a></li>
    {%endfor%}
    </ul>
    </li>
{%endfor%}
</ul>


<iframe id="iframe_id" width="100%" height="200px" src=""></iframe>
</div>

<div class="w3-col m3 l2" >
<h1>threads</h1>
{%for elt in node.root.all().by_class("IoNode") %}
    <a href="/nodes/{{ elt.path() }}"><span>{{ elt.name }}</span></a>
{%endfor%}
</div>
{% endblock %}
